// Modified QE version of module sample code.
var MapModule = require('ti.map');


var win = Ti.UI.createWindow({backgroundColor:'black'});
var table = Ti.UI.createTableView();
var tableData = [];

var multiMapRow = Ti.UI.createTableViewRow({title: 'Multi Map'});
tableData.push(multiMapRow);
multiMapRow.addEventListener('click', function(e) {
   multiMapTest();
});


var annotationRow = Ti.UI.createTableViewRow({title:'Annotation Test'});
tableData.push(annotationRow);
annotationRow.addEventListener('click', function(e) {
   annotationTest();
});

var annotationColRow = Ti.UI.createTableViewRow({title:'Annotation Color Test'});
tableData.push(annotationColRow);
annotationColRow.addEventListener('click', function(e) {
   annotationColTest();
});

var routeRow = Ti.UI.createTableViewRow({title:'Routes Test'});
tableData.push(routeRow);
routeRow.addEventListener('click', function(e) {
   routeTest2();
});

/*
var routeRow2 = Ti.UI.createTableViewRow({title:'Routes Test 2'});
tableData.push(routeRow2);
routeRow2.addEventListener('click', function(e) {
   routeTest2();
});
*/

var eventsRow = Ti.UI.createTableViewRow({title:'Events test'});
tableData.push(eventsRow);
eventsRow.addEventListener('click', function(e) {
   eventsTest();
});

var mapTypeRow = Ti.UI.createTableViewRow({title:'Map Type Test'});
tableData.push(mapTypeRow);
mapTypeRow.addEventListener('click', function(e) {
  mapTypeTest();
});
/*
var tempTestRow = Ti.UI.createTableViewRow({title:'Temp test'});
tableData.push(tempTestRow);
tempTestRow.addEventListener('click', function(e) {
  tempTest();
});
*/

var customPinRow = Ti.UI.createTableViewRow({title:'Adding custom pin view'});
tableData.push(customPinRow);
customPinRow.addEventListener('click', function(e) {
  customPinView();
});


table.setData(tableData);
win.add(table);
win.open();




/************************************************************************************/
/************************************************************************************/
									//Multi Maps
/************************************************************************************/
function multiMapTest() {
var win = Ti.UI.createWindow({fullscreen: false});

var map1 = MapModule.createView({
	userLocation: true,
	mapType: MapModule.NORMAL_TYPE,
	animate: false,
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	height: '50%',
	top: 0,
	left: 0,
	width: '50%'
});
var map2 = MapModule.createView({
	userLocation: true,
	mapType: MapModule.SATELLITE_TYPE,
	animate: true,
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	height: '50%',
	top: 0,
	right: 0,
	width: '50%'
});
var map3 = MapModule.createView({
	userLocation: true,
	mapType: MapModule.TERRAIN_TYPE,
	animate: true,
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	height: '50%',
	bottom: 0,
	left: 0,
	width: '50%'
});
var map4 = MapModule.createView({
	userLocation: true,
	mapType: MapModule.HYBRID_TYPE,
	traffic: true,
	animate: true,
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	height: '50%',
	bottom: 0,
	right: 0,
	width: '50%'
});

win.add(map1);
win.add(map2);
win.add(map3);
win.add(map4);

win.open();
}


/************************************************************************************/
/************************************************************************************/
									//ANNOTATIONS
/************************************************************************************/
function annotationTest() {
var win = Ti.UI.createWindow({fullscreen: false});
var anno = MapModule.createAnnotation({latitude: -33.87365, image: 'map_pin.png', longitude: 151.20689, title: "Sydney", subtitle: "Sydney is quite chill", draggable: true});
var anno2 = MapModule.createAnnotation({latitude: -33.86365, pincolor: MapModule.ANNOTATION_BLUE, longitude: 151.21689, title: "Anno2", subtitle: "Blue Draggable", draggable: true});
var anno3 = MapModule.createAnnotation({latitude: -33.85365, longitude: 151.20689, title: "Anno3", subtitle: "Not Draggable", draggable: false});
var anno4 = MapModule.createAnnotation({latitude: -33.86365, longitude: 151.22689, title: "Anno4", subtitle: "Draggable", draggable: true});

Ti.API.info ("====> Latitude should be: -33.87365 and is: " + anno.latitude);
Ti.API.info ("====> Longitude should be: 151.20689 and is: " + anno.longitude);
Ti.API.info ("====> Title should be Sydney and is: " + anno.title);
Ti.API.info ("====> Draggable should be true and is: " + anno.draggable);
Ti.API.info ("====> Draggable should be true and is: " + anno.draggable);

var map = MapModule.createView({
	userLocation: true,
	mapType: MapModule.NORMAL_TYPE,
	animate: true,
	annotations: [anno, anno2, anno4],
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	top: '30%'
});
Ti.API.info("====> userLocation: " + map.userLocation);
win.add(map);

var button = Ti.UI.createButton({top: 0, left: 0, title: "Go Mt. View"});
button.addEventListener('click', function(e) {
	map.region = {latitude: 37.3689, longitude: -122.0353, latitudeDelta: 0.1, longitudeDelta: 0.1 }; //Mountain View
});

var button2 = Ti.UI.createButton({top: '10%', title: "add anno3"});
button2.addEventListener('click', function(e) {
	map.addAnnotation(anno3);
});

var button3 = Ti.UI.createButton({top: 0, title: "rm anno3"});
button3.addEventListener('click', function(e) {
	map.removeAnnotation(anno3);
});

var button4 = Ti.UI.createButton({top: '20%', title: "rm all"});
button4.addEventListener('click', function(e) {
	map.removeAllAnnotations();
});

var button5 = Ti.UI.createButton({top: '10%', left: 0, title: "remove annos"});
button5.addEventListener('click', function(e) {
	Ti.API.info(anno.getTitle());
	map.removeAnnotations(["Sydney", anno2]);
});

var button6 = Ti.UI.createButton({top: 0, right: 0, title: "select anno2"});
button6.addEventListener('click', function(e) {
	map.selectAnnotation(anno2);
});

var button7 = Ti.UI.createButton({top: '10%', right: 0, title: "desel anno2"});
button7.addEventListener('click', function(e) {
	map.deselectAnnotation(anno2);
});

var button8 = Ti.UI.createButton({top: '20%', right: 0, title: "modify anno2"});
button8.addEventListener('click', function(e) {
	anno2.title = "Hello";
	anno2.subtitle = "Hi there.";
	anno2.longitude = 151.27689;
});

var button9 = Ti.UI.createButton({top: '20%', left: 0, title: "Add all"});
button9.addEventListener('click', function(e) {
	// this is currently broken TIMOB-12837
	//map.addAnnotations([anno, anno2, anno3, anno4]);
});

win.add(button);
win.add(button2);
win.add(button3);
win.add(button4);
win.add(button5);
win.add(button6);
win.add(button7);
win.add(button8);
win.add(button9);
win.open();
}

/************************************************************************************/
/************************************************************************************/
									//ANNOTATION color test
/************************************************************************************/
function annotationColTest() {

var win = Ti.UI.createWindow({fullscreen: false});


var colorConst= [MapModule.ANNOTATION_GREEN,MapModule.ANNOTATION_MAGENTA,MapModule.ANNOTATION_ORANGE,MapModule.ANNOTATION_ROSE,MapModule.ANNOTATION_YELLOW,MapModule.ANNOTATION_RED,MapModule.ANNOTATION_VIOLET,MapModule.ANNOTATION_AZURE,MapModule.ANNOTATION_BLUE,MapModule.ANNOTATION_CYAN];
var pointsList= [];
var x=0;
pointsList.push(MapModule.createAnnotation({
    latitude: 37.391232,
    longitude: -122.050923,
    pincolor: MapModule.ANNOTATION_GREEN,
    subtitle: 'Green',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.391232,
    longitude: -122.050211,
    pincolor: MapModule.ANNOTATION_MAGENTA,
    subtitle: 'Magenta',
    title: "pin "+x
}));   
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.391232,
    longitude: -122.049497,
    pincolor: MapModule.ANNOTATION_ORANGE,
    subtitle: 'Orange',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390854,
    longitude: -122.050923,
    pincolor: MapModule.ANNOTATION_ROSE,
    subtitle: 'Rose',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390854,
    longitude: -122.049497,
    pincolor: MapModule.ANNOTATION_YELLOW,
    subtitle: 'Yellow',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390476,
    longitude: -122.050923,
    pincolor: MapModule.ANNOTATION_RED,
    subtitle: 'Red',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390476,
    longitude: -122.049497,
    pincolor: MapModule.ANNOTATION_VIOLET,
    subtitle: 'Violet',
    title: "pin "+x,
}));
x=x+1;

pointsList.push( MapModule.createAnnotation({
    latitude: 37.390098,
    longitude: -122.050923,
    pincolor: MapModule.ANNOTATION_AZURE,
    subtitle: 'Azure',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390098,
    longitude: -122.050211,
    pincolor: MapModule.ANNOTATION_BLUE,
    subtitle: 'Blue',
    title: "pin "+x
}));
x=x+1;

pointsList.push(MapModule.createAnnotation({
    latitude: 37.390098,
    longitude: -122.04949,
    pincolor: MapModule.ANNOTATION_CYAN,
    subtitle: 'Cyan',
    title: "pin "+x
}));







for (var i = 0; i <colorConst.length; i++ ) { 
	
	pointsList[i].color = colorConst[i]
	Titanium.API.info(pointsList[i].color);
	};

var myMap = MapModule.createView({
	userLocation: true,
	mapType: MapModule.NORMAL_TYPE,
	animate: true,
	annotations: pointsList,
	region: {latitude: 37.390665, longitude: -122.050210, latitudeDelta: 0.005, longitudeDelta: 0.005 } //MV
});

win.add(myMap);

win.open();
}


/********************************************************************************/
							//Routes
/********************************************************************************/
/*
function routeTest() {

var colorIndex=0;
var win = Ti.UI.createWindow({fullscreen: false});
var map = MapModule.createView({
	userLocation: true,
	mapType: MapModule.NORMAL_TYPE,
	animate: true,
	region: {latitude: -33.87365, longitude: 151.20689, latitudeDelta: 0.1, longitudeDelta: 0.1 }, //Sydney
	top: '30%'
});
win.add(map);

var route1 = [{latitude: -33.87365, longitude: 151.20689}, {latitude: -33.87469, longitude: 151.20689}, {latitude: -33.87375, longitude: 151.20589}];
var route2 = [{latitude: -33.87565, longitude: 151.20789}, {latitude: -33.87469, longitude: 151.20689}, {latitude: -33.86375, longitude: 151.20589}];

var route = MapModule.createRoute({
    points: route1,
    color: "blue",
    width: 5.0
});

map.addRoute(route);

var button = Ti.UI.createButton({top: 0, left: 0, title: "+1 width"});
var w = 5.0;
button.addEventListener('click', function(e) {
	w=w+1.0;
	route.width = w;
	
});

var button2 = Ti.UI.createButton({top: 0, title: "cycle color"});
button2.addEventListener('click', function(e) {
	theColors=['aqua', 'black', 'blue', 'brown', 'cyan', 'darkgray', 'fuchsia', 'gray', 'green', 'lightgray', 'lime', 'magenta', 'maroon', 'navy', 'olive', 'orange', 'pink', 'purple', 'red', 'silver', 'teal', 'white', 'yellow'];
	route.color = theColors[colorIndex];
	Ti.API.info("------>Route color should be: "+colorIndex+" - "+theColors[colorIndex]);
	if (colorIndex>=22) {
		colorIndex=0;
	} else {
		colorIndex=colorIndex+1;
	}
});

var button3 = Ti.UI.createButton({top: 0, right: 0, title: "change routes"});
button3.addEventListener('click', function(e) {
	route.points = route2;
});

var button4 = Ti.UI.createButton({top: '10%', title: "remove route"});
button4.addEventListener('click', function(e) {
	map.removeRoute(route);
});

var button5 = Ti.UI.createButton({top: '10%', left: 0, title: "add route"});
button5.addEventListener('click', function(e) {
	map.addRoute(route);
});

win.add(button);
win.add(button2);
win.add(button3);
win.add(button4);
win.add(button5);
win.open();
}
*/

/********************************************************************************/
							//Routes 2
/********************************************************************************/

/*
 * Because CurvyRoutes.js uses createHTTPClient (async) to make a call to Google's API directions, 
 * these annotations need to be created then passed to CurvyRoutes.js to generate more route points 
 * to be used in routeTest2().
 * 
 * Basically, the routes will be generated before you start the Routes Test.
 */
var appc = MapModule.createAnnotation({
    latitude: 37.389569,
    longitude: -122.050212,
    title: 'Appcelerator HQ',
    subtitle: 'Mountain View, CA',
    pincolor: MapModule.ANNOTATION_GREEN
});
 
var apple = MapModule.createAnnotation({
    latitude: 37.331689,
    longitude: -122.030731,
    title: 'Apple HQ',
    subtitle: 'Cupertino, CA',
    pincolor: MapModule.ANNOTATION_RED
});
 
var google = MapModule.createAnnotation({
    latitude: 37.422502,
    longitude: -122.0855498,
    title: 'Google HQ',
    subtitle: 'Mountain View, CA',
    pincolor: MapModule.ANNOTATION_VIOLET
});

// Original myPoints and myPoints2; we go over the limit with Google's API directions
// var myPoints=[
        // {latitude:apple.latitude, longitude:apple.longitude},
        // {latitude:google.latitude, longitude:google.longitude},
        // {latitude:appc.latitude, longitude:appc.longitude}
//         
    // ];
// 
// var myPoints2=[
        // {latitude:google.latitude, longitude:google.longitude},
        // {latitude:appc.latitude, longitude:appc.longitude},
        // {latitude:apple.latitude, longitude:apple.longitude}
    // ];

var cr = require('CurvyRoutes');

var myPoints = [];
cr.getRoutePoints(apple, appc, [google], myPoints);

var myPoints2 = [];
cr.getRoutePoints(google, apple, [appc], myPoints2);

function routeTest2() {

var win = Ti.UI.createWindow({fullscreen: false, backGroundColor: 'white'});

// for the route color
var colorIndex=0;

// make a route
var currentRoute = MapModule.createRoute({
    width: 5,
    color: '#f00',
    points: myPoints
});

// track the current route
var currentPoints=myPoints;

/*
// make another route
var route2 = MapModule.createRoute({
    width: 5,
    color: '#f00',
    points: [
        {latitude:apple.latitude, longitude:apple.longitude},
        {latitude:google.latitude, longitude:google.longitude},
        {latitude:appc.latitude, longitude:appc.longitude}
        
    ]
});
*/

// make the map 
var mapview = MapModule.createView({
    mapType: MapModule.NORMAL_TYPE,
    region: {latitude: 37.389569, longitude: -122.050212, latitudeDelta: 0.2, longitudeDelta: 0.2},
    annotations: [google,appc,apple]
});

//make a bunch of control buttons
var button = Ti.UI.createButton({top: 0, left: 0, title: "+1 width"});
button.addEventListener('click', function(e) {
	currentRoute.width = currentRoute.width+1;
	});

var button1 = Ti.UI.createButton({top: 45, left: 0, title: "-1 width"});
button1.addEventListener('click', function(e) {
	if(currentRoute.width>1) {
		currentRoute.width = currentRoute.width-1;
	} 
	});

// a button to cycle the color of the route
var button2 = Ti.UI.createButton({top: 90, left: 0, title: "cycle color"});
button2.addEventListener('click', function(e) {
	theColors=['aqua', 'black', 'blue', 'brown', 'cyan', 'darkgray', 'fuchsia', 'gray', 'green', 'lightgray', 'lime', 'magenta', 'maroon', 'navy', 'olive', 'orange', 'pink', 'purple', 'red', 'silver', 'teal', 'white', 'yellow'];
	currentRoute.color = theColors[colorIndex];
	Ti.API.info("------>Route color should be: "+colorIndex+" - "+theColors[colorIndex]);
	if (colorIndex>=22) {
		colorIndex=0;
	} else {
		colorIndex=colorIndex+1;
	}
});

var button3 = Ti.UI.createButton({top: 0, right: 0, title: "change routes"});
button3.addEventListener('click', function(e) {
	if(currentPoints===myPoints) {
		currentPoints=myPoints2;
	} else {
		currentPoints=myPoints;
	}
	currentRoute.points=currentPoints;
});

var button4 = Ti.UI.createButton({top: 45, right: 0, title: "remove route"});
button4.addEventListener('click', function(e) {
	mapview.removeRoute(currentRoute);
});

var button5 = Ti.UI.createButton({top: 90, right: 0, title: "add route"});
button5.addEventListener('click', function(e) {
	mapview.addRoute(currentRoute);
});	


// add the route to the map
mapview.addRoute(currentRoute);

//open everything
win.add(mapview);
win.add(button);
win.add(button1);
win.add(button2);
win.add(button3);
win.add(button4);
win.add(button5);
win.open();
}

/************************************************************************************/
/************************************************************************************/
									//Events
/************************************************************************************/

function eventsTest() {

var win = Ti.UI.createWindow({fullscreen: false, backGroundColor: 'white'});

//create a couple annotations
var anno = MapModule.createAnnotation({latitude: 28.606024, pincolor: MapModule.ANNOTATION_RED, longitude: 77.361800, title: "Noida", subtitle: "A point", draggable: true});
var anno2 = MapModule.createAnnotation({latitude: 28.609527703349123, pincolor: MapModule.ANNOTATION_BLUE, longitude: 77.36846454441547, title: "Noida 2", subtitle: "Another point", draggable: true});

// create labels to show what is going on
var label1 = Ti.UI.createLabel({text:'Map load event:',width: '100%',top: 10, left :5,color:'#444'});
var label2 = Ti.UI.createLabel({text:'Map region event:',width: '100%',top: 10, left:5,color:'#444'});
var label3 = Ti.UI.createLabel({text:'Map click event:',width: '100%',top: 10, left:5,color:'#444'});
var label4 = Ti.UI.createLabel({text:'Click event source:',width: '100%',top: 10, left:5,color:'#444'});
var label5 = Ti.UI.createLabel({text:'Map:',width: '100%',top: 10, left:5,color:'#444'})
var label6 = Ti.UI.createLabel({text:'Annotation: Title: Subtitle: ',width: '100%',top: 10, left:5,color:'#444'});
var label7 = Ti.UI.createLabel({text:'Lat & Lon:',width: '100%',top: 10, left:5,color:'#444'});
	

// create the map
var map = MapModule.createView({
	userLocation: true,
	mapType: MapModule.NORMAL_TYPE,
	animate: true,
	annotations: [anno, anno2],
	region: {latitude: 28.605924, longitude: 77.361817, latitudeDelta: 0.05, longitudeDelta: 0.05 },
	top: '50%'  //Noida
});

// Add event listener for TIMOB 13516
map.addEventListener("regionchanged", function(e){
    Ti.API.info("longitude = " + e.longitude + ", latitude = " + e.latitude);
    Ti.API.info("longitudeDelta = " + e.longitudeDelta + ", latitudeDelta = " + e.latitudeDelta);
});


//make a button to go to Noida/MV
var button=Ti.UI.createButton({
	title: "Region",
	top: 0,
	right: 0
});

// set variables for location
var location ="noida";

// toggle location with listener
button.addEventListener('click', function(){
	if (location==="noida") {
		map.region={latitude: 37.390665, longitude: -122.050210, latitudeDelta: 0.05, longitudeDelta: 0.05 };
		location="mv";
	} else {
		map.region={latitude: 28.605924, longitude: 77.361817, latitudeDelta: 0.05, longitudeDelta: 0.05 };
		location="noida";
	}
});

//create a view for the tet fields
var stuffView = Ti.UI.createView ({
	top:0,
	height:'50%',
	layout: 'vertical',
	//bottom:'30%',
	backgroundColor:"black"
});

// add listener for map load
map.addEventListener('complete', function(e){
	label1.color='red';
	label1.text="Map load event: FIRED";
	setTimeout(function()
			{
				label1.color = '#444';
	
			},500);
	
});

// listener for region changed
map.addEventListener('regionchanged', function(e){
	
	label2.color='red';
	label2.text="Map region event: FIRED";
	label7.color='red';
	label7.text="Lat & Lon:"+e.latitude+" "+e.longitude;
	setTimeout(function()
			{
				label2.color = '#444';
				label7.color ='#444';
			},200);
});

// Add event listenr to update text fields
map.addEventListener('click', function(e) {
	label3.color = 'red';
	label3.text="Map click event: FIRED";
	label4.color = 'red';
	label4.text="Click event source: "+e.clicksource;
	label5.color = 'red';
	label5.text="Map: "+e.map;
	label6.color = 'red';
	label6.text="Annotation: Title: Subtitle: "+e.annotation+" "+e.title+" "+e.subtitle;
	label7.color = 'red';
	label7.text="Lat & Lon:"+e.latitude+" "+e.longitude;
	
	
	//change the text color
	setTimeout(function()
			{
				label3.color = '#444';
				label4.color = '#444';
				label5.color = '#444';
				label6.color = '#444';
				label7.color = '#444';
			},100);
});

// add the labels and texfields to the window
stuffView.add(label1);
stuffView.add(label2);
stuffView.add(label3);
stuffView.add(label4);
stuffView.add(label5);
stuffView.add(label6);
stuffView.add(label7);

win.add(stuffView);
win.add(button);

//add the map
win.add(map);
win.open();

}


/************************************************************************************/
/************************************************************************************/
									// Dynamic switching
/************************************************************************************/

function mapTypeTest() {
	
var win = Ti.UI.createWindow({fullscreen: false, backGroundColor: 'white'});

// make the map 
var map = MapModule.createView({
    mapType: MapModule.NORMAL_TYPE,
    animate:true,
    region: {latitude: 37.389569, longitude: -122.050212, latitudeDelta: 0.2, longitudeDelta: 0.2},
    enableZoomControls:true
    
});

//make a bunch of control buttons
var button = Ti.UI.createButton({top: 0, left: 0, title: "Normal"});
button.addEventListener('click', function(e) {
		map.setMapType(MapModule.NORMAL_TYPE);
	});

var button1 = Ti.UI.createButton({top: 45, left: 0, title: "Terrain"});
	button1.addEventListener('click', function(e) {
		map.setMapType(MapModule.TERRAIN_TYPE);
	});

// a button to cycle the color of the route
var button2 = Ti.UI.createButton({top: 90, left: 0, title: "Hybrid"});
button2.addEventListener('click', function(e) {
		map.setMapType(MapModule.HYBRID_TYPE);
	});

var button3 = Ti.UI.createButton({top: 135, left: 0, title: "Satellite"});
	button3.addEventListener('click', function(e) {
		map.setMapType(MapModule.SATELLITE_TYPE);		
	});
	
var button4 = Ti.UI.createButton({top: 180, left: 0, title: "Toggle User"});
	button4.addEventListener('click', function(e) {
		map.userLocation=!map.userLocation; 	
	});
	
var button5 = Ti.UI.createButton({top: 225, left: 0, title: "Toggle Animate"});
	button5.addEventListener('click', function(e) {
		map.animate=!map.animate; 	
		Ti.API.info("=====> Animate set to: "+map.animate);
	});

// set variables for location
var location ="mv";

var button6 = Ti.UI.createButton({top: 270, left: 0, title: "Change Location"});
	button6.addEventListener('click', function(){
	if (location==="noida") {
		map.region={latitude: 37.390665, longitude: -122.050210, latitudeDelta: 0.05, longitudeDelta: 0.05 };
		location="mv";
	} else {
		map.region={latitude: 28.605924, longitude: 77.361817, latitudeDelta: 0.05, longitudeDelta: 0.05 };
		location="noida";
	}
});

var button7 = Ti.UI.createButton({top: 315, left: 0, title: "Toggle Traffic"});
	button7.addEventListener('click', function(e) {
		map.traffic=!map.traffic; 
		
	});
	
var button8 = Ti.UI.createButton({top: 360, left: 0, title: "Toggle Zoom Buttons"});
	button8.addEventListener('click', function(e) {
		map.enableZoomControls = !map.enableZoomControls;
		Ti.API.info("=====> Zoom is now: "+map.enableZoomControls);
		
	});
	


	
win.add(map);
win.add(button);
win.add(button1);
win.add(button2);
win.add(button3);
win.add(button4);
win.add(button5);
win.add(button6);
win.add(button7);
win.add(button8);
win.open();
}


////////////////////////////////////////////
///       customPinView               ////
////////////////////////////////////////

function customPinView(){
	

	var win = Ti.UI.createWindow({
		fullscreen : false
	});
	var myView1 = Ti.UI.createView({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE,
		backgroundColor : 'red'
	});

	var label = Ti.UI.createLabel({
		text : " $400K ",
		font : {
			fontSize : 18,
			fontWeight : "bold",
			fontStyle : "italic"
		}
	});

	myView1.add(label);

	var anno = MapModule.createAnnotation({
		latitude : -33.87365,
		customView : myView1,
		longitude : 151.20689,
		title : "Drag Me",
		subtitle : "Sydney is quite chill",
		draggable : true
	});
	var anno2 = MapModule.createAnnotation({
		latitude : -33.86365,
		pincolor : MapModule.ANNOTATION_BLUE,
		longitude : 151.21689,
		title : "Drag Me 2",
		subtitle : "This is anno2",
		draggable : true
	});
	var anno3 = MapModule.createAnnotation({
		latitude : -33.85365,
		longitude : 151.20689,
		title : "anno3",
		subtitle : "This is anno3",
		draggable : false
	});

	var map = MapModule.createView({
		userLocation : true,
		mapType : MapModule.NORMAL_TYPE,
		animate : true,
		annotations : [anno, anno2, anno3],
		region : {
			latitude : -33.87365,
			longitude : 151.20689,
			latitudeDelta : 0.1,
			longitudeDelta : 0.1
		}, //Sydney
		top : '30%'
	});

	var dragLabel = Ti.UI.createLabel({
		text : "Drag a pin",
		top : 80
	});
	
	map.addEventListener('pinchangedragstate', function(e) {
		Ti.API.info(e.title + ": newState=" + e.newState + ", lat=" + e.annotation.latitude + ", lon=" + e.annotation.longitude);
		dragLabel.color = 'red';
		dragLabel.text = "Title: "+e.title + ": newState=" + e.newState + " Annotation: "+e.annotation+", lat=" + e.annotation.latitude + ", lon=" + e.annotation.longitude+ " map: "+e.map;

		setTimeout(function() {
			dragLabel.color = 'white';
		}, 200);

	});

	var b = Ti.UI.createButton({
		title : "Toggle draggable for anno3",
		top : 0
	});

	var statusLabel = Ti.UI.createLabel({
		text : "anno3 draggable is set to " + anno3.draggable,
		top : 50
	});
	

	b.addEventListener('click', function() {
		anno3.draggable = !anno3.draggable;
		Ti.API.info("anno3.draggable = " + anno3.draggable);
		statusLabel.text = "anno3 draggable is set to " + anno3.draggable;
	});

	win.add(b);
	win.add(statusLabel);
	win.add(dragLabel);
	win.add(map);
	win.open();
	}

